2017-09-13 18:04 UTC Viktor Szakats (vszakats users.noreply.github.com)

* contrib/hbrun/hbrun.hbp
  * ChangeLog.txt
  * package/harbour-wce.spec.in
  * package/harbour-win.spec.in
  * package/harbour.spec
  * package/mpkg_rpm_wce.sh
  * package/mpkg_rpm_win.sh
  * package/mpkg_rpm.sh
  * package/mpkg_src.sh
  * package/mpkg_ver.sh
  * package/mpkg_win.nsi
  * package/winuni/mpkg_win_uni.nsi
  * utils/hbmk2/hbmk2.hbp
  * utils/hbmk2/hbmk2.prg
  * utils/hbmk2/Makefile
  * package/harb_osx.icns -> package/harbour.icns
  * package/harb_win.ico -> package/harbour.ico
  * package/harb_win.mft -> package/harbour.mft
  * package/harb_win.rc -> package/harbour.rc
  * utils/hbmk2/hbmk2.rc -> utils/hbmk2/harbour.rc
    * sync more file renames with the 3.4 fork
      NOTE: some projects used to rely on harb_win.ico. This will
      not work anymore and these will need to be updated or even
      better fixed to rely on it local .ico file instead.
    * sync bash formatting and fixes. Formatting guidelines here
      https://google.github.io/styleguide/shell.xml
    * sync two hbmk2 macro names
This commit is contained in:
Viktor Szakats
2017-09-13 18:05:43 +00:00
parent 0bb0a11d16
commit 7b730500b9
20 changed files with 440 additions and 449 deletions

View File

@@ -7,6 +7,35 @@
Entries may not always be in chronological/commit order. Entries may not always be in chronological/commit order.
See license at the end of file. */ See license at the end of file. */
2017-09-13 18:04 UTC Viktor Szakats (vszakats users.noreply.github.com)
* contrib/hbrun/hbrun.hbp
* ChangeLog.txt
* package/harbour-wce.spec.in
* package/harbour-win.spec.in
* package/harbour.spec
* package/mpkg_rpm_wce.sh
* package/mpkg_rpm_win.sh
* package/mpkg_rpm.sh
* package/mpkg_src.sh
* package/mpkg_ver.sh
* package/mpkg_win.nsi
* package/winuni/mpkg_win_uni.nsi
* utils/hbmk2/hbmk2.hbp
* utils/hbmk2/hbmk2.prg
* utils/hbmk2/Makefile
* package/harb_osx.icns -> package/harbour.icns
* package/harb_win.ico -> package/harbour.ico
* package/harb_win.mft -> package/harbour.mft
* package/harb_win.rc -> package/harbour.rc
* utils/hbmk2/hbmk2.rc -> utils/hbmk2/harbour.rc
* sync more file renames with the 3.4 fork
NOTE: some projects used to rely on harb_win.ico. This will
not work anymore and these will need to be updated or even
better fixed to rely on it local .ico file instead.
* sync bash formatting and fixes. Formatting guidelines here
https://google.github.io/styleguide/shell.xml
* sync two hbmk2 macro names
2017-09-13 17:02 UTC Viktor Szakats (vszakats users.noreply.github.com) 2017-09-13 17:02 UTC Viktor Szakats (vszakats users.noreply.github.com)
* config/dyn.mk * config/dyn.mk
* sync a missed variable rename * sync a missed variable rename

View File

@@ -2,7 +2,7 @@
-o${hb_name} -o${hb_name}
-DHBMK_WITH_ALL_EMBEDDED_HEADERS -DHBMK_WITH_BUILTIN_HEADERS_ALL
-DHBMK_WITH_GTXWC{HBMK_WITH_GTXWC='yes'} -DHBMK_WITH_GTXWC{HBMK_WITH_GTXWC='yes'}
-gtxwc{HBMK_WITH_GTXWC='yes'} -gtxwc{HBMK_WITH_GTXWC='yes'}

View File

@@ -87,7 +87,7 @@ make %{?_smp_mflags}
%install %install
# Install harbour itself. # Install Harbour itself.
unset HB_COMPILER unset HB_COMPILER

View File

@@ -87,7 +87,7 @@ make %{?_smp_mflags}
%install %install
# Install harbour itself. # Install Harbour itself.
unset HB_COMPILER unset HB_COMPILER

View File

Before

Width:  |  Height:  |  Size: 44 KiB

After

Width:  |  Height:  |  Size: 44 KiB

View File

@@ -1,7 +1,4 @@
/* /* Copyright 2011 Viktor Szakats (vszakats.net/harbour) */
* Copyright 2011 Viktor Szakats (vszakats.net/harbour)
* See COPYING.txt for licensing terms.
*/
#include "hbver.h" #include "hbver.h"

View File

@@ -25,19 +25,19 @@
# please add your distro suffix if it does not belong to the ones recognized below # please add your distro suffix if it does not belong to the ones recognized below
# and remember that order checking can be important # and remember that order checking can be important
%define platform %(release=$(rpm -q --queryformat='%{VERSION}' mandriva-release-common 2>/dev/null) && echo "mdv$release"|tr -d ".") %define platform %(release=$(rpm -q --queryformat='%{VERSION}' mandriva-release-common 2>/dev/null) && echo "mdv$release" | tr -d '.')
%if "%{platform}" == "" %if "%{platform}" == ""
%define platform %(release=$(rpm -q --queryformat='%{VERSION}' fedora-release 2>/dev/null) && echo "fc$release"|tr -d ".") %define platform %(release=$(rpm -q --queryformat='%{VERSION}' fedora-release 2>/dev/null) && echo "fc$release" | tr -d '.')
%if "%{platform}" == "" %if "%{platform}" == ""
%define platform %(release=$(rpm -q --queryformat='%{VERSION}' centos-release 2>/dev/null) && echo "el$release"|tr -d ".") %define platform %(release=$(rpm -q --queryformat='%{VERSION}' centos-release 2>/dev/null) && echo "el$release" | tr -d '.')
%if "%{platform}" == "" %if "%{platform}" == ""
%define platform %(release=$(rpm -q --queryformat='%{VERSION}' suse-release 2>/dev/null) && echo "sus$release"|tr -d ".") %define platform %(release=$(rpm -q --queryformat='%{VERSION}' suse-release 2>/dev/null) && echo "sus$release" | tr -d '.')
%if "%{platform}" == "" %if "%{platform}" == ""
%define platform %(release=$(rpm -q --queryformat='%{VERSION}' openSUSE-release 2>/dev/null) && echo "sus$release"|tr -d ".") %define platform %(release=$(rpm -q --queryformat='%{VERSION}' openSUSE-release 2>/dev/null) && echo "sus$release" | tr -d '.')
%if "%{platform}" == "" %if "%{platform}" == ""
%define platform %(release=$(rpm -q --queryformat='%{VERSION}' redhat-release 2>/dev/null) && echo "rh$release"|tr -d ".") %define platform %(release=$(rpm -q --queryformat='%{VERSION}' redhat-release 2>/dev/null) && echo "rh$release" | tr -d '.')
%if "%{platform}" == "" %if "%{platform}" == ""
%define platform %([ -f /etc/pld-release ] && cat /etc/pld-release|sed -e '/1/ !d' -e 's/[^0-9]//g' -e 's/^/pld/') %define platform %([ -f /etc/pld-release ] && cat /etc/pld-release | sed -e '/1/ !d' -e 's/[^0-9]//g' -e 's/^/pld/')
%if "%{platform}" == "" %if "%{platform}" == ""
%undefine platform %undefine platform
%endif %endif
@@ -91,7 +91,7 @@
Summary: Free software Clipper compatible compiler Summary: Free software Clipper compatible compiler
Summary(pl): Darmowy kompilator kompatybilny z językiem Clipper. Summary(pl): Darmowy kompilator kompatybilny z językiem Clipper.
Summary(pt_BR): Um compilador Clipper compativel Gratis Summary(pt_BR): Um compilador Clipper compativel Gratis
Summary(ru): ????????? ??????????, ??????????? ? ?????? Clipper. Summary(ru): Свободный компилятор, совместимый с языком Clipper.
Summary(hu): Szabad szoftver Clipper kompatibilis fordító Summary(hu): Szabad szoftver Clipper kompatibilis fordító
Name: %{name} Name: %{name}
Version: %{version} Version: %{version}
@@ -123,9 +123,9 @@ Esse pacote contem um compilador, um pré-processador, arquivos de cabeçalho
uma maquina virtual e documentaçăo. uma maquina virtual e documentaçăo.
%description -l ru %description -l ru
%{dname} - ?????????????????? ??????????, ??????????? ? ?????? CA-Cl*pper. %{dname} - многоплатформенный компилятор, совместимый с языком CA-Cl*pper.
???? ????? ???????? ??????????, ????????????, ????? ??????????, ??????????? Этот пакет содержит компилятор, препроцессор, файлы заголовков, виртуальную
?????? ? ????????????. машину и документацию.
%description -l hu %description -l hu
%{dname} egy több platformon is működő CA-Cl*pper kompatibilis %{dname} egy több platformon is működő CA-Cl*pper kompatibilis
@@ -139,7 +139,7 @@ fordítóprogram. A csomag része a fordító maga, az előfordító, fejléc
%package lib %package lib
Summary: Shared runtime libaries for %{dname} compiler Summary: Shared runtime libaries for %{dname} compiler
Summary(pl): Dzielone bilioteki dla kompilatora %{dname} Summary(pl): Dzielone bilioteki dla kompilatora %{dname}
Summary(ru): ????????? ???????????? ?????????? ??? ??????????? %{dname} Summary(ru): Совместно используемые библиотеки для компилятора %{dname}
Summary(hu): Megosztott könyvtárak a(z) %{dname} fordítóhoz Summary(hu): Megosztott könyvtárak a(z) %{dname} fordítóhoz
Group: Development/Languages Group: Development/Languages
Provides: lib%{name}.so Provides: lib%{name}.so
@@ -160,9 +160,9 @@ Esse pacote %{dname} provem as bibliotecas compartilhadas para programas
linkados dinamicamente. linkados dinamicamente.
%description -l ru lib %description -l ru lib
%{dname} - ??????????, ??????????? ? ?????? CA-Cl*pper. %{dname} - компилятор, совместимый с языком CA-Cl*pper.
???? ????? ???????? ????????? ???????????? ?????????? %{dname}, Этот пакет содержит совместно используемые библиотеки %{dname},
??????????? ??? ?????? ??????????? ?????????????? ????????. необходимые для работы динамически скомпонованных программ.
%description -l hu lib %description -l hu lib
A(z) %{dname} egy Clipper kompatibilis fordítóprogram. A(z) %{dname} egy Clipper kompatibilis fordítóprogram.
@@ -177,7 +177,7 @@ programokhoz szükséges megosztott (dinamikus) futtatókönyvtárakat.
Summary: Contrib runtime libaries for %{dname} compiler Summary: Contrib runtime libaries for %{dname} compiler
Summary(pl): Bilioteki z drzewa contrib dla kompilatora %{dname} Summary(pl): Bilioteki z drzewa contrib dla kompilatora %{dname}
Summary(pt_BR): Libs contrib para %{dname} Summary(pt_BR): Libs contrib para %{dname}
Summary(ru): ?????????? ?? ?????? contrib ??? ??????????? %{dname} Summary(ru): Библиотеки из дерева contrib для компилятора %{dname}
Summary(hu): Kiegészítő könyvtárak a(z) %{dname} fordítóhoz Summary(hu): Kiegészítő könyvtárak a(z) %{dname} fordítóhoz
Group: Development/Languages Group: Development/Languages
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release} Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
@@ -197,8 +197,8 @@ Esse pacote %{dname} provem as bibliotecas contrib para linkagem
dos programas. dos programas.
%description -l ru contrib %description -l ru contrib
%{dname} - ??????????, ??????????? ? ?????? CA-Cl*pper. %{dname} - компилятор, совместимый с языком CA-Cl*pper.
???? ????? ???????? ??????????? ?????????? %{dname} ?? ?????? contrib. Этот пакет содержит статические библиотеки %{dname} из дерева contrib.
%description -l hu contrib %description -l hu contrib
A(z) %{dname} egy Clipper kompatibilis fordítóprogram. A(z) %{dname} egy Clipper kompatibilis fordítóprogram.
@@ -286,18 +286,18 @@ statikus szerkesztéshez.
## firebird library ## firebird library
%{?_with_firebird:%package firebird} %{?_with_firebird:%package firebird}
%{?_with_firebird:Summary: FireBird library bindings for %{dname} compiler} %{?_with_firebird:Summary: Firebird library bindings for %{dname} compiler}
%{?_with_firebird:Summary(pl): Bilioteka FireBird dla kompilatora %{dname}} %{?_with_firebird:Summary(pl): Bilioteka Firebird dla kompilatora %{dname}}
%{?_with_firebird:Group: Development/Languages} %{?_with_firebird:Group: Development/Languages}
%{?_with_firebird:Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}} %{?_with_firebird:Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}}
%{?_with_firebird:%description firebird} %{?_with_firebird:%description firebird}
%{?_with_firebird:%{dname} is a Clipper compatible compiler.} %{?_with_firebird:%{dname} is a Clipper compatible compiler.}
%{?_with_firebird:This package provides %{dname} FireBird library for program linking.} %{?_with_firebird:This package provides %{dname} Firebird library for program linking.}
%{?_with_firebird:%description -l pl firebird} %{?_with_firebird:%description -l pl firebird}
%{?_with_firebird:%{dname} to kompatybilny z językiem CA-Cl*pper kompilator.} %{?_with_firebird:%{dname} to kompatybilny z językiem CA-Cl*pper kompilator.}
%{?_with_firebird:Ten pakiet udostępnia statyczn+ biliotekę FireBird dla kompilatora %{dname}.} %{?_with_firebird:Ten pakiet udostępnia statyczn+ biliotekę Firebird dla kompilatora %{dname}.}
## freeimage library ## freeimage library
#%{?_with_freeimage:%package freeimage} #%{?_with_freeimage:%package freeimage}
@@ -381,7 +381,7 @@ statikus szerkesztéshez.
%prep %prep
%setup -c %{name} %setup -c %{name}
rm -rf $RPM_BUILD_ROOT rm -rf "$RPM_BUILD_ROOT"
###################################################################### ######################################################################
## Build. ## Build.
@@ -396,7 +396,7 @@ make %{?_smp_mflags}
## Install. ## Install.
###################################################################### ######################################################################
# Install harbour itself. # Install Harbour itself.
%install %install
%{hb_env} %{hb_env}
@@ -435,7 +435,7 @@ rm -f $HB_INSTALL_LIB/libjpeg.a \
###################################################################### ######################################################################
## Clean. ## Clean.
###################################################################### ######################################################################
rm -rf $RPM_BUILD_ROOT rm -rf "$RPM_BUILD_ROOT"
###################################################################### ######################################################################
## File list. ## File list.
@@ -726,15 +726,15 @@ rm -rf $RPM_BUILD_ROOT
###################################################################### ######################################################################
%changelog %changelog
* Thu Aug 05 2008 Viktor Szakats (vszakats.net/harbour) * Tue Aug 05 2008 Viktor Szakats (vszakats.net/harbour)
- removed hbdot, hbverfix, hbpptest - removed hbdot, hbverfix, hbpptest
- hbrun now fully replaces hbdot. - hbrun now fully replaces hbdot
* Thu Aug 23 2007 Przemyslaw Czerpak <druzus@priv.onet.pl> * Thu Aug 23 2007 Przemyslaw Czerpak <druzus@priv.onet.pl>
+ added hbdot + added hbdot
- removed PP package - removed PP package
* Fri Mar 23 2005 Przemyslaw Czerpak <druzus@priv.onet.pl> * Wed Mar 23 2005 Przemyslaw Czerpak <druzus@priv.onet.pl>
- removed bison and flex from dependences list - removed bison and flex from dependences list
* Sat Aug 09 2003 Przemyslaw Czerpak <druzus@polbox.com> * Sat Aug 09 2003 Przemyslaw Czerpak <druzus@polbox.com>
@@ -768,7 +768,7 @@ rm -rf $RPM_BUILD_ROOT
* Thu Jan 17 2002 Dave Pearson <davep@davep.org> * Thu Jan 17 2002 Dave Pearson <davep@davep.org>
- Removed the use of the /etc/profile.d scripts for setting the - Removed the use of the /etc/profile.d scripts for setting the
harbour environment variables. The settings are now placed Harbour environment variables. The settings are now placed
directly in gharbour and harbour-link. This means that this .spec directly in gharbour and harbour-link. This means that this .spec
file should be more useful on RPM using platforms other than RedHat. file should be more useful on RPM using platforms other than RedHat.
@@ -789,7 +789,7 @@ rm -rf $RPM_BUILD_ROOT
- Added the setting of $HB_GT_LIB to the environment (ncurses is used). - Added the setting of $HB_GT_LIB to the environment (ncurses is used).
- Added support for installing hbmake. - Added support for installing hbmake.
* Mon Jun 28 2001 Dave Pearson <davep@davep.org> * Thu Jun 28 2001 Dave Pearson <davep@davep.org>
- Changed the gharbour script so that it only invokes the C compiler if a C - Changed the gharbour script so that it only invokes the C compiler if a C
file was output. This stops any error messages when someone is using the file was output. This stops any error messages when someone is using the
-g option to output other target types. -g option to output other target types.
@@ -801,8 +801,8 @@ rm -rf $RPM_BUILD_ROOT
- Added README.RPM to the documentation directory. - Added README.RPM to the documentation directory.
* Sat Jan 06 2001 Dave Pearson <davep@davep.org> * Sat Jan 06 2001 Dave Pearson <davep@davep.org>
- The gharbour script now passes the harbour include directory, using -I, - The gharbour script now passes the Harbour include directory, using -I,
to harbour. to Harbour.
* Thu Aug 24 2000 Dave Pearson <davep@davep.org> * Thu Aug 24 2000 Dave Pearson <davep@davep.org>
- Changed the files section so that hbrun doesn't get installed. It isn't - Changed the files section so that hbrun doesn't get installed. It isn't
@@ -823,13 +823,13 @@ rm -rf $RPM_BUILD_ROOT
- Added 'bash' and 'sh-utils' to the list of required packages. - Added 'bash' and 'sh-utils' to the list of required packages.
* Tue Aug 01 2000 Dave Pearson <davep@davep.org> * Tue Aug 01 2000 Dave Pearson <davep@davep.org>
- Added harbour environment scripts to /etc/profile.d. - Added Harbour environment scripts to /etc/profile.d.
- Added generation of gharbour and harbour-link commands. - Added generation of gharbour and harbour-link commands.
* Mon Jul 31 2000 Dave Pearson <davep@davep.org> * Mon Jul 31 2000 Dave Pearson <davep@davep.org>
- Re-worked the layout of the spec file to make it cleaner and easier to - Re-worked the layout of the spec file to make it cleaner and easier to
read and maintain. read and maintain.
- The latest harbour ChangeLog.txt is now installed into the RPM's doc - The latest Harbour ChangeLog.txt is now installed into the RPM's doc
directory. directory.
- The content of the RPM's doc directory reflects the layout and content of - The content of the RPM's doc directory reflects the layout and content of
the harbour source's doc directory. the Harbour source's doc directory.

View File

@@ -7,182 +7,173 @@
# See LICENSE.txt for licensing terms. # See LICENSE.txt for licensing terms.
# --------------------------------------------------------------- # ---------------------------------------------------------------
test_reqrpm() test_reqrpm() {
{ rpm -q --whatprovides "$1" >/dev/null 2>&1
rpm -q --whatprovides "$1" >/dev/null 2>&1
} }
NEED_RPM="make gcc binutils" NEED_RPM='make gcc binutils'
FORCE="" FORCE=''
LAST="" LAST=''
while [ $# -gt 0 ] while [ $# -gt 0 ]; do
do if [ "$1" = '--force' ]; then
if [ "$1" = "--force" ] FORCE='yes'
then else
FORCE="yes" INST_PARAM="${INST_PARAM} $1"
else if [ "${LAST}" = '--with' ]; then
INST_PARAM="${INST_PARAM} $1" [ "$1" = 'mysql' ] && NEED_RPM="${NEED_RPM} mysql-devel"
if [ "${LAST}" = "--with" ] [ "$1" = 'odbc' ] && NEED_RPM="${NEED_RPM} unixODBC-devel"
then [ "$1" = 'pgsql' ] && NEED_RPM="${NEED_RPM} postgresql-devel"
[ "$1" = "mysql" ] && NEED_RPM="${NEED_RPM} mysql-devel" [ "$1" = 'firebird' ] && NEED_RPM="${NEED_RPM} firebird-devel"
[ "$1" = "odbc" ] && NEED_RPM="${NEED_RPM} unixODBC-devel" [ "$1" = 'freeimage' ] && NEED_RPM="${NEED_RPM} freeimage-devel"
[ "$1" = "pgsql" ] && NEED_RPM="${NEED_RPM} postgresql-devel" [ "$1" = 'allegro' ] && NEED_RPM="${NEED_RPM} allegro-devel"
[ "$1" = "firebird" ] && NEED_RPM="${NEED_RPM} firebird-devel" fi
[ "$1" = "freeimage" ] && NEED_RPM="${NEED_RPM} freeimage-devel" fi
[ "$1" = "allegro" ] && NEED_RPM="${NEED_RPM} allegro-devel" LAST="$1"
fi shift
fi
LAST="$1"
shift
done done
if [ "$HB_WITH_ADS" != "no" ] if [ "$HB_WITH_ADS" != 'no' ]; then
then if [ -f /usr/local/ads/acesdk/ace.h ] || \
if [ -f /usr/local/ads/acesdk/ace.h ] || \ [ -f "${HOME}/ads/acesdk/ace.h" ] || \
[ -f ${HOME}/ads/acesdk/ace.h ] || \ [ -f "${HB_WITH_ADS}/ace.h" ]; then
[ -f ${HB_WITH_ADS}/ace.h ] INST_PARAM="${INST_PARAM} --with ads"
then fi
INST_PARAM="${INST_PARAM} --with ads"
fi
fi fi
if test_reqrpm "allegro-devel" && [ "$HB_WITH_ALLEGRO" != "no" ] if test_reqrpm 'allegro-devel' && \
then [ "$HB_WITH_ALLEGRO" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with allegro" INST_PARAM="${INST_PARAM} --with allegro"
fi fi
if test_reqrpm "cairo-devel" && [ "$HB_WITH_CAIRO" != "no" ] if test_reqrpm 'cairo-devel' && \
then [ "$HB_WITH_CAIRO" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with cairo" INST_PARAM="${INST_PARAM} --with cairo"
fi fi
if test_reqrpm "libcups2-devel" && [ "$HB_WITH_CUPS" != "no" ] if test_reqrpm 'libcups2-devel' && \
then [ "$HB_WITH_CUPS" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with cups" INST_PARAM="${INST_PARAM} --with cups"
fi fi
if test_reqrpm "curl-devel" && [ "$HB_WITH_CURL" != "no" ] if test_reqrpm 'curl-devel' && \
then [ "$HB_WITH_CURL" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with curl" INST_PARAM="${INST_PARAM} --with curl"
fi fi
if test_reqrpm "openssl" && [ "$HB_WITH_OPENSSL" != "no" ] if test_reqrpm 'openssl' && \
then [ "$HB_WITH_OPENSSL" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with openssl" INST_PARAM="${INST_PARAM} --with openssl"
fi fi
if test_reqrpm "firebird-devel" && [ "$HB_WITH_FIREBIRD" != "no" ] if test_reqrpm 'firebird-devel' && \
then [ "$HB_WITH_FIREBIRD" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with firebird" INST_PARAM="${INST_PARAM} --with firebird"
fi fi
if test_reqrpm "freeimage-devel" && [ "$HB_WITH_FREEIMAGE" != "no" ] if test_reqrpm 'freeimage-devel' && \
then [ "$HB_WITH_FREEIMAGE" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with freeimage" INST_PARAM="${INST_PARAM} --with freeimage"
fi fi
if test_reqrpm "gd-devel" && [ "$HB_WITH_GD" != "no" ] if test_reqrpm 'gd-devel' && \
then [ "$HB_WITH_GD" != 'no' ]; then
v=`rpm -q --whatprovides gd-devel --qf "%{VERSION}"|sed -e "s/[^0-9]*\([0-9]*\).*/\1/g"` v="$(rpm -q --whatprovides gd-devel --qf "%{VERSION}" | sed -e 's/[^0-9]*\([0-9]*\).*/\1/g')"
[ "$v" -ge 2 ] && INST_PARAM="${INST_PARAM} --with gd" [ "$v" -ge 2 ] && INST_PARAM="${INST_PARAM} --with gd"
fi fi
if ( test_reqrpm "MySQL-devel" || test_reqrpm "mysql-devel" ) && \ if ( test_reqrpm 'MySQL-devel' || \
[ "$HB_WITH_MYSQL" != "no" ] test_reqrpm 'mysql-devel' ) && \
then [ "$HB_WITH_MYSQL" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with mysql" INST_PARAM="${INST_PARAM} --with mysql"
fi fi
if ( test_reqrpm "unixodbc-devel" || test_reqrpm "unixODBC-devel" ) && \ if ( test_reqrpm 'unixodbc-devel' || \
[ "$HB_WITH_ODBC" != "no" ] test_reqrpm 'unixODBC-devel' ) && \
then [ "$HB_WITH_ODBC" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with odbc" INST_PARAM="${INST_PARAM} --with odbc"
fi fi
if test_reqrpm "postgresql-devel" && [ "$HB_WITH_PGSQL" != "no" ] if test_reqrpm 'postgresql-devel' && \
then [ "$HB_WITH_PGSQL" != 'no' ]; then
INST_PARAM="${INST_PARAM} --with pgsql" INST_PARAM="${INST_PARAM} --with pgsql"
fi fi
if [ "${HB_BUILD_NOGPLLIB}" = "yes" ] if [ "${HB_BUILD_NOGPLLIB}" = 'yes' ]; then
then INST_PARAM="${INST_PARAM} --without gpllib"
INST_PARAM="${INST_PARAM} --without gpllib"
fi fi
if [ "${HB_BUILD_NOGPLLIB}" = "yes" ] || [ "$HB_WITH_GPM" = "no" ] || \ if [ "${HB_BUILD_NOGPLLIB}" = 'yes' ] || \
! test_reqrpm "gpm-devel" [ "$HB_WITH_GPM" = 'no' ] || \
then ! test_reqrpm 'gpm-devel'; then
INST_PARAM="${INST_PARAM} --without gpm" INST_PARAM="${INST_PARAM} --without gpm"
fi fi
if ! test_reqrpm "XFree86-devel" && [ "$HB_WITH_X11" != "no" ] if ! test_reqrpm 'XFree86-devel' && \
then [ "$HB_WITH_X11" != 'no' ]; then
INST_PARAM="${INST_PARAM} --without X11" INST_PARAM="${INST_PARAM} --without X11"
fi fi
if ! test_reqrpm ncurses || ! test_reqrpm ncurses-devel || \ if ! test_reqrpm 'ncurses' || \
[ "$HB_WITH_CURSES" != "no" ] ! test_reqrpm 'ncurses-devel' || \
then [ "$HB_WITH_CURSES" != 'no' ]; then
INST_PARAM="${INST_PARAM} --without curses" INST_PARAM="${INST_PARAM} --without curses"
fi fi
if ! test_reqrpm slang || ! test_reqrpm slang-devel || \ if ! test_reqrpm 'slang' || \
[ "$HB_WITH_SLANG" != "no" ] ! test_reqrpm 'slang-devel' || \
then [ "$HB_WITH_SLANG" != 'no' ]; then
INST_PARAM="${INST_PARAM} --without slang" INST_PARAM="${INST_PARAM} --without slang"
fi fi
if ( [ ! -f /usr/include/zlib.h ] && [ ! -f /usr/local/include/zlib.h ] ) || \ if ( [ ! -f /usr/include/zlib.h ] && \
[ "$HB_WITH_ZLIB" = "local" ] [ ! -f /usr/local/include/zlib.h ] ) || \
then [ "$HB_WITH_ZLIB" = 'local' ]; then
INST_PARAM="${INST_PARAM} --with localzlib" INST_PARAM="${INST_PARAM} --with localzlib"
fi fi
if ( [ ! -f /usr/include/pcre.h ] && [ ! -f /usr/local/include/pcre.h ] ) || \ if ( [ ! -f /usr/include/pcre.h ] && \
[ "$HB_WITH_PCRE" = "local" ] [ ! -f /usr/local/include/pcre.h ] ) || \
then [ "$HB_WITH_PCRE" = 'local' ]; then
INST_PARAM="${INST_PARAM} --with localpcre" INST_PARAM="${INST_PARAM} --with localpcre"
fi fi
if ( [ ! -f /usr/include/bzlib.h ] && [ ! -f /usr/local/include/bzlib.h ] ) || \ if ( [ ! -f /usr/include/bzlib.h ] && \
[ "$HB_WITH_BZIP2" = "local" ] [ ! -f /usr/local/include/bzlib.h ] ) || \
then [ "$HB_WITH_BZIP2" = 'local' ]; then
INST_PARAM="${INST_PARAM} --with localbz2" INST_PARAM="${INST_PARAM} --with localbz2"
fi fi
TOINST_LST="" TOINST_LST=''
for i in ${NEED_RPM} for i in ${NEED_RPM}; do
do test_reqrpm "$i" || TOINST_LST="${TOINST_LST} $i"
test_reqrpm "$i" || TOINST_LST="${TOINST_LST} $i"
done done
if [ -z "${TOINST_LST}" ] || [ "${FORCE}" = "yes" ] if [ -z "${TOINST_LST}" ] || [ "${FORCE}" = 'yes' ]; then
then cd "$(dirname "$0")"
cd `dirname $0` . ./mpkg_src.sh
. ./mpkg_src.sh stat="$?"
stat="$?" if [ -z "${hb_filename}" ]; then
if [ -z "${hb_filename}" ] echo "The script ./mpkg_src.sh didn't set archive name to \${hb_filename}"
then exit 1
echo "The script ./mpkg_src.sh doesn't set archive name to \${hb_filename}" elif [ "${stat}" != 0 ]; then
exit 1 echo 'Error during packing the sources in ./mpkg_src.sh'
elif [ "${stat}" != 0 ] exit 1
then elif [ -f "${hb_filename}" ]; then
echo "Error during packing the sources in ./mpkg_src.sh" if [ "$(id -u)" != 0 ] && \
exit 1 [ ! -f "${HOME}/.rpmmacros" ]; then
elif [ -f ${hb_filename} ] RPMDIR="${HOME}/RPM"
then mkdir -p \
if [ `id -u` != 0 ] && [ ! -f ${HOME}/.rpmmacros ] "${RPMDIR}/BUILD" \
then "${RPMDIR}/RPMS" \
RPMDIR="${HOME}/RPM" "${RPMDIR}/SOURCES" \
mkdir -p ${RPMDIR}/SOURCES ${RPMDIR}/RPMS ${RPMDIR}/SRPMS \ "${RPMDIR}/SPECS" \
${RPMDIR}/BUILD ${RPMDIR}/SPECS "${RPMDIR}/SRPMS"
echo "%_topdir ${RPMDIR}" > ${HOME}/.rpmmacros echo "%_topdir ${RPMDIR}" > "${HOME}/.rpmmacros"
else else
RPMDIR=`rpm --eval %_topdir` RPMDIR=$(rpm --eval %_topdir)
fi fi
mv -f ${hb_filename} ${RPMDIR}/SOURCES/ mv -f "${hb_filename}" "${RPMDIR}/SOURCES/"
cp harbour.spec ${RPMDIR}/SPECS/ cp harbour.spec "${RPMDIR}/SPECS/"
if which rpmbuild >/dev/null 2>&1 if which rpmbuild >/dev/null 2>&1; then
then RPMBLD='rpmbuild'
RPMBLD="rpmbuild" else
else RPMBLD='rpm'
RPMBLD="rpm" fi
fi cd ${RPMDIR}/SPECS
cd ${RPMDIR}/SPECS ${RPMBLD} -ba harbour.spec ${INST_PARAM}
${RPMBLD} -ba harbour.spec ${INST_PARAM} else
else echo "Cannot find archive file: ${hb_filename}"
echo "Cannot find archive file: ${hb_filename}" exit 1
exit 1 fi
fi
else else
echo "If you want to build Harbour compiler" echo 'If you want to build Harbour compiler'
echo "you have to install the folowing RPM files:" echo 'you have to install the folowing RPM files:'
echo "${TOINST_LST}" echo "${TOINST_LST}"
exit 1 exit 1
fi fi

View File

@@ -7,102 +7,93 @@
# See LICENSE.txt for licensing terms. # See LICENSE.txt for licensing terms.
# --------------------------------------------------------------- # ---------------------------------------------------------------
test_reqrpm() test_reqrpm() {
{ rpm -q --whatprovides "$1" >/dev/null 2>&1
rpm -q --whatprovides "$1" >/dev/null 2>&1
} }
get_rpmmacro() get_rpmmacro() {
{ _R="$(rpm --showrc | sed -e "/^-14:.${1}[^a-z0-9A-Z_]/ !d" -e "s/^-14: ${1}.//")"
local R X Y _X="$(echo "${_R}" | sed -e 's/.*\(%{\([^}]*\)}\).*/\2/')"
while [ "${_X}" != "${_R}" ]; do
R=`rpm --showrc|sed -e "/^-14:.${1}[^a-z0-9A-Z_]/ !d" -e "s/^-14: ${1}.//"` _Y=$(get_rpmmacro "$_X")
X=`echo "${R}"|sed -e "s/.*\(%{\([^}]*\)}\).*/\2/"` if [ -n "${_Y}" ]; then
while [ "${X}" != "${R}" ] _R="$(echo "${_R}" | sed -e "s!%{${_X}}!${_Y}!g")"
do _X="$(echo "${_R}" | sed -e 's/.*\(%{\([^}]*\)}\).*/\2/')"
Y=`get_rpmmacro "$X"` else
if [ -n "${Y}" ] _X="${_R}"
then fi
R=`echo "${R}"|sed -e "s!%{${X}}!${Y}!g"` done
X=`echo "${R}"|sed -e "s/.*\(%{\([^}]*\)}\).*/\2/"` printf %s "${_R}"
else
X="${R}"
fi
done
echo -n "${R}"
} }
cd `dirname $0` cd "$(dirname "$0")"
. ./mpkg_ver.sh . ./mpkg_ver.sh
hb_ver=`get_hbver` hb_ver=$(get_hbver)
hb_verstat=`get_hbverstat` hb_verstat=$(get_hbverstat)
[ -n "${hb_verstat}" ] || hb_verstat="0" [ -n "${hb_verstat}" ] || hb_verstat='0'
NEED_RPM="make gcc binutils cegcc-mingw32ce" NEED_RPM='make gcc binutils cegcc-mingw32ce'
FORCE="" FORCE=''
LAST="" LAST=""
while [ $# -gt 0 ] while [ $# -gt 0 ]; do
do if [ "$1" = '--force' ]; then
if [ "$1" = "--force" ] FORCE='yes'
then else
FORCE="yes" INST_PARAM="${INST_PARAM} $1"
else fi
INST_PARAM="${INST_PARAM} $1" LAST="$1"
fi shift
LAST="$1"
shift
done done
TOINST_LST="" TOINST_LST=''
for i in ${NEED_RPM} for i in ${NEED_RPM}; do
do test_reqrpm "$i" || TOINST_LST="${TOINST_LST} $i"
test_reqrpm "$i" || TOINST_LST="${TOINST_LST} $i"
done done
if [ -z "${TOINST_LST}" ] || [ "${FORCE}" = "yes" ] if [ -z "${TOINST_LST}" ] || [ "${FORCE}" = 'yes' ]; then
then . ./mpkg_src.sh
. ./mpkg_src.sh stat="$?"
stat="$?" if [ -z "${hb_filename}" ]; then
if [ -z "${hb_filename}" ] echo "The script ./mpkg_src.sh didn't set archive name to \${hb_filename}"
then exit 1
echo "The script ./mpkg_src.sh doesn't set archive name to \${hb_filename}" elif [ "${stat}" != 0 ]; then
exit 1 echo 'Error during packing the sources in ./mpkg_src.sh'
elif [ "${stat}" != 0 ] exit 1
then elif [ -f "${hb_filename}" ]; then
echo "Error during packing the sources in ./mpkg_src.sh" if [ "$(id -u)" != 0 ] && \
exit 1 [ ! -f "${HOME}/.rpmmacros" ]; then
elif [ -f ${hb_filename} ] RPMDIR="${HOME}/RPM"
then mkdir -p \
if [ `id -u` != 0 ] && [ ! -f ${HOME}/.rpmmacros ] "${RPMDIR}/BUILD" \
then "${RPMDIR}/RPMS" \
RPMDIR="${HOME}/RPM" "${RPMDIR}/SOURCES" \
mkdir -p ${RPMDIR}/SOURCES ${RPMDIR}/RPMS ${RPMDIR}/SRPMS \ "${RPMDIR}/SPECS" \
${RPMDIR}/BUILD ${RPMDIR}/SPECS "${RPMDIR}/SRPMS"
echo "%_topdir ${RPMDIR}" > ${HOME}/.rpmmacros echo "%_topdir ${RPMDIR}" > "${HOME}/.rpmmacros"
else else
RPMDIR=`get_rpmmacro "_topdir"` RPMDIR=$(get_rpmmacro '_topdir')
fi fi
mv ${hb_filename} ${RPMDIR}/SOURCES/
sed -e "s/^%define version .*$/%define version ${hb_ver}/g" \ mv -f "${hb_filename}" "${RPMDIR}/SOURCES/"
-e "s/^%define releasen .*$/%define releasen ${hb_verstat}/g" \ sed -e "s|^%define version .*$|%define version ${hb_ver}|g" \
harbour-wce.spec.in > ${RPMDIR}/SPECS/harbour-wce.spec -e "s|^%define releasen .*$|%define releasen ${hb_verstat}|g" \
if which rpmbuild >/dev/null 2>&1 harbour-wce.spec.in > "${RPMDIR}/SPECS/harbour-wce.spec"
then if which rpmbuild >/dev/null 2>&1; then
RPMBLD="rpmbuild" RPMBLD="rpmbuild"
else else
RPMBLD="rpm" RPMBLD="rpm"
fi fi
cd ${RPMDIR}/SPECS cd ${RPMDIR}/SPECS
${RPMBLD} -ba harbour-wce.spec ${INST_PARAM} ${RPMBLD} -ba harbour-wce.spec ${INST_PARAM}
else else
echo "Cannot find archive file: ${hb_filename}" echo "Cannot find archive file: ${hb_filename}"
exit 1 exit 1
fi fi
else else
echo "If you want to build Harbour compiler" echo 'If you want to build Harbour compiler'
echo "you have to install the folowing RPM files:" echo 'you have to install the folowing RPM files:'
echo "${TOINST_LST}" echo "${TOINST_LST}"
exit 1 exit 1
fi fi

View File

@@ -7,125 +7,113 @@
# See LICENSE.txt for licensing terms. # See LICENSE.txt for licensing terms.
# --------------------------------------------------------------- # ---------------------------------------------------------------
test_reqrpm() test_reqrpm() {
{ rpm -q --whatprovides "$1" >/dev/null 2>&1
rpm -q --whatprovides "$1" >/dev/null 2>&1
} }
get_rpmmacro() get_rpmmacro() {
{ _R="$(rpm --showrc | sed -e "/^-14:.${1}[^a-z0-9A-Z_]/ !d" -e "s/^-14: ${1}.//")"
local R X Y _X="$(echo "${_R}" | sed -e 's/.*\(%{\([^}]*\)}\).*/\2/')"
while [ "${_X}" != "${_R}" ]; do
R=`rpm --showrc|sed -e "/^-14:.${1}[^a-z0-9A-Z_]/ !d" -e "s/^-14: ${1}.//"` _Y=$(get_rpmmacro "$_X")
X=`echo "${R}"|sed -e "s/.*\(%{\([^}]*\)}\).*/\2/"` if [ -n "${_Y}" ]; then
while [ "${X}" != "${R}" ] _R="$(echo "${_R}" | sed -e "s!%{${_X}}!${_Y}!g")"
do _X="$(echo "${_R}" | sed -e 's/.*\(%{\([^}]*\)}\).*/\2/')"
Y=`get_rpmmacro "$X"` else
if [ -n "${Y}" ] _X="${_R}"
then fi
R=`echo "${R}"|sed -e "s!%{${X}}!${Y}!g"` done
X=`echo "${R}"|sed -e "s/.*\(%{\([^}]*\)}\).*/\2/"` printf %s "${_R}"
else
X="${R}"
fi
done
echo -n "${R}"
} }
for d in /usr /usr/local /usr/local/mingw32 /opt/xmingw /opt/cross for d in /usr /usr/local /usr/local/mingw32 /opt/xmingw /opt/cross; do
do if [ -z "${TARGET}" ]; then
if [ -z "${TARGET}" ] TARGET=$(find $d/bin -maxdepth 1 -name 'i[3456]86*-mingw*-gcc' \
then 2>/dev/null \
TARGET=`find $d/bin -maxdepth 1 -name "i[3456]86*-mingw*-gcc" \ | sed -e '1 !d' -e 's/.*\(i[3456]86.*-mingw[^-]*\).*/\1/g')
2>/dev/null | \ MINGW_DIR=$d
sed -e '1 !d' -e 's/.*\(i[3456]86.*-mingw[^-]*\).*/\1/g'` fi
MINGW_DIR=$d
fi
done done
if [ -z "${TARGET}" ] if [ -z "${TARGET}" ]; then
then echo "Could not determine the location for the MinGW32 cross-compiler."
echo "Can't determine the location for the MinGW32 cross-compiler." echo "Please install it or add valid path to the $0 script."
echo "Please install it or add valid path to the $0 script." exit 1
exit 1
fi fi
HB_CCPREFIX="$TARGET-" HB_CCPREFIX="$TARGET-"
HB_CCPATH="$MINGW_DIR/bin" HB_CCPATH="$MINGW_DIR/bin"
cd `dirname $0` cd "$(dirname "$0")"
. ./mpkg_ver.sh . ./mpkg_ver.sh
hb_ver=`get_hbver` hb_ver=$(get_hbver)
hb_verstat=`get_hbverstat` hb_verstat=$(get_hbverstat)
[ -n "${hb_verstat}" ] || hb_verstat="0" [ -n "${hb_verstat}" ] || hb_verstat='0'
NEED_RPM="make gcc binutils" NEED_RPM='make gcc binutils'
FORCE="" FORCE=''
LAST="" LAST=""
while [ $# -gt 0 ] while [ $# -gt 0 ]; do
do if [ "$1" = '--force' ]; then
if [ "$1" = "--force" ] FORCE='yes'
then else
FORCE="yes" INST_PARAM="${INST_PARAM} $1"
else fi
INST_PARAM="${INST_PARAM} $1" LAST="$1"
fi shift
LAST="$1"
shift
done done
TOINST_LST="" TOINST_LST=''
for i in ${NEED_RPM} for i in ${NEED_RPM}; do
do test_reqrpm "$i" || TOINST_LST="${TOINST_LST} $i"
test_reqrpm "$i" || TOINST_LST="${TOINST_LST} $i"
done done
if [ -z "${TOINST_LST}" ] || [ "${FORCE}" = "yes" ] if [ -z "${TOINST_LST}" ] || [ "${FORCE}" = 'yes' ]; then
then . ./mpkg_src.sh
. ./mpkg_src.sh stat="$?"
stat="$?" if [ -z "${hb_filename}" ]; then
if [ -z "${hb_filename}" ] echo "The script ./mpkg_src.sh didn't set archive name to \${hb_filename}"
then exit 1
echo "The script ./mpkg_src.sh doesn't set archive name to \${hb_filename}" elif [ "${stat}" != 0 ]; then
exit 1 echo 'Error during packing the sources in ./mpkg_src.sh'
elif [ "${stat}" != 0 ] exit 1
then elif [ -f "${hb_filename}" ]; then
echo "Error during packing the sources in ./mpkg_src.sh" if [ "$(id -u)" != 0 ] && \
exit 1 [ ! -f "${HOME}/.rpmmacros" ]; then
elif [ -f ${hb_filename} ] RPMDIR="${HOME}/RPM"
then mkdir -p \
if [ `id -u` != 0 ] && [ ! -f ${HOME}/.rpmmacros ] "${RPMDIR}/BUILD" \
then "${RPMDIR}/RPMS" \
RPMDIR="${HOME}/RPM" "${RPMDIR}/SOURCES" \
mkdir -p ${RPMDIR}/SOURCES ${RPMDIR}/RPMS ${RPMDIR}/SRPMS \ "${RPMDIR}/SPECS" \
${RPMDIR}/BUILD ${RPMDIR}/SPECS "${RPMDIR}/SRPMS"
echo "%_topdir ${RPMDIR}" > ${HOME}/.rpmmacros echo "%_topdir ${RPMDIR}" > "${HOME}/.rpmmacros"
else else
RPMDIR=`get_rpmmacro "_topdir"` RPMDIR=$(get_rpmmacro '_topdir')
fi fi
mv ${hb_filename} ${RPMDIR}/SOURCES/
sed -e "s|^%define version .*$|%define version ${hb_ver}|g" \ mv -f "${hb_filename}" "${RPMDIR}/SOURCES/"
-e "s|^%define releasen .*$|%define releasen ${hb_verstat}|g" \ sed -e "s|^%define version .*$|%define version ${hb_ver}|g" \
-e "s|^%define hb_ccpath .*$|%define hb_ccpath ${HB_CCPATH}|g" \ -e "s|^%define releasen .*$|%define releasen ${hb_verstat}|g" \
-e "s|^%define hb_ccpref .*$|%define hb_ccpref ${HB_CCPREFIX}|g" \ -e "s|^%define hb_ccpath .*$|%define hb_ccpath ${HB_CCPATH}|g" \
harbour-win.spec.in > ${RPMDIR}/SPECS/harbour-win.spec -e "s|^%define hb_ccpref .*$|%define hb_ccpref ${HB_CCPREFIX}|g" \
if which rpmbuild >/dev/null 2>&1 harbour-win.spec.in > "${RPMDIR}/SPECS/harbour-win.spec"
then if which rpmbuild >/dev/null 2>&1; then
RPMBLD="rpmbuild" RPMBLD="rpmbuild"
else else
RPMBLD="rpm" RPMBLD="rpm"
fi fi
cd ${RPMDIR}/SPECS cd ${RPMDIR}/SPECS
${RPMBLD} -ba harbour-win.spec ${INST_PARAM} ${RPMBLD} -ba harbour-win.spec ${INST_PARAM}
else else
echo "Cannot find archive file: ${hb_filename}" echo "Cannot find archive file: ${hb_filename}"
exit 1 exit 1
fi fi
else else
echo "If you want to build Harbour compiler" echo 'If you want to build Harbour compiler'
echo "you have to install the folowing RPM files:" echo 'you have to install the folowing RPM files:'
echo "${TOINST_LST}" echo "${TOINST_LST}"
exit 1 exit 1
fi fi

View File

@@ -2,77 +2,72 @@
# This script requires 'GNU tar' tool for compression. # This script requires 'GNU tar' tool for compression.
if [ "$1" = "zip" ] || [ "$1" = "ZIP" ]; then if [ "$1" = 'zip' ] || [ "$1" = 'ZIP' ]; then
hb_archbin="zip" hb_archbin='zip'
hb_ext=".zip" hb_ext='.zip'
elif tar --version >/dev/null 2>&1; then elif tar --version >/dev/null 2>&1; then
hb_archbin="tar" hb_archbin='tar'
hb_gnutar="yes" hb_gnutar='yes'
elif gtar --version >/dev/null 2>&1; then elif gtar --version >/dev/null 2>&1; then
hb_archbin="gtar" hb_archbin='gtar'
hb_gnutar="yes" hb_gnutar='yes'
else else
hb_archbin="tar" hb_archbin='tar'
hb_gnutar="no" hb_gnutar='no'
echo "Warning!!! Cannot find GNU TAR" echo "Warning!!! Cannot find 'GNU tar'"
fi fi
hb_currdir=`pwd` hb_currdir="$(pwd)"
hb_archopt="-czf" hb_archopt='-czf'
[ -n "${hb_ext}" ] || hb_ext=".tar.gz" [ -n "${hb_ext}" ] || hb_ext='.tar.gz'
if [ -f mpkg_ver.sh ]; then if [ -f mpkg_ver.sh ]; then
hb_rootdir=".." hb_rootdir='..'
else else
hb_rootdir=`dirname $0` hb_rootdir=$(dirname "$0")
hb_rootdir=`dirname ${hb_rootdir}` hb_rootdir=$(dirname "${hb_rootdir}")
fi fi
. ${hb_rootdir}/package/mpkg_ver.sh . "${hb_rootdir}/package/mpkg_ver.sh"
hb_ver=`get_hbver ${hb_rootdir}` hb_ver=$(get_hbver "${hb_rootdir}")
hb_filename="${hb_currdir}/harbour-${hb_ver}.src${hb_ext}" hb_filename="${hb_currdir}/harbour-${hb_ver}.src${hb_ext}"
rm -f $hb_filename rm -f $hb_filename
#[ -z "$TZ" ] && export TZ=PST8PDT #[ -z "$TZ" ] && export TZ=PST8PDT
hb_collect_all_git() hb_collect_all_git() {
{ for f in $(git ls-tree HEAD -r --name-only); do
for f in `git ls-tree HEAD -r --name-only` [ -f "$f" ] && echo "$f"
do done
[ -f "$f" ] && echo "$f"
done
} }
hb_collect_all_tree() hb_collect_all_tree() {
{ exclude='/obj/|/lib/|/bin/.*/|\.tar|\.zip|\.exe|\.log|/linux/|/win|/config/'
exclude="/obj/|/lib/|/bin/.*/|\.tar|\.zip|\.exe|\.log|/linux/|/win|/config/" for f in `find -type f | grep -vE ${exclude}`; do
for f in `find -type f | grep -vE ${exclude}` echo ${f:2}
do done
echo ${f:2} for f in `find config -type f`; do
done echo ${f}
for f in `find config -type f` done
do
echo ${f}
done
} }
hb_rmflst="yes" hb_rmflst='yes'
hb_flst="bin/hb_flst.tmp" hb_flst='bin/hb_flst.tmp'
if [ -d "$hb_rootdir/.git" ] ; then if [ -d "$hb_rootdir/.git" ]; then
hb_rmflst="yes" hb_rmflst='yes'
(cd "$hb_rootdir";hb_collect_all_git) > "$hb_rootdir/$hb_flst" (cd "$hb_rootdir";hb_collect_all_git) > "$hb_rootdir/$hb_flst"
echo "$hb_flst" >> "$hb_rootdir/$hb_flst" echo "$hb_flst" >> "$hb_rootdir/$hb_flst"
else else
hb_rmflst="yes" hb_rmflst='yes'
(cd "$hb_rootdir";hb_collect_all_tree) > "$hb_rootdir/$hb_flst" (cd "$hb_rootdir";hb_collect_all_tree) > "$hb_rootdir/$hb_flst"
fi fi
if [ "$hb_archbin" = "zip" ]; then if [ "$hb_archbin" = 'zip' ]; then
(cd "$hb_rootdir";$hb_archbin -r -q $hb_filename . "-i@$hb_flst") (cd "$hb_rootdir";$hb_archbin -r -q $hb_filename . "-i@$hb_flst")
else else
(cd "$hb_rootdir";$hb_archbin $hb_archopt $hb_filename --files-from "$hb_flst") (cd "$hb_rootdir";$hb_archbin $hb_archopt $hb_filename --files-from "$hb_flst")
fi fi
[ "$hb_rmflst" != "yes" ] || rm -fR "$hb_rootdir/$hb_flst" [ "$hb_rmflst" != 'yes' ] || rm -fR "$hb_rootdir/$hb_flst"
cd "$hb_currdir" cd "$hb_currdir"

View File

@@ -7,20 +7,22 @@
# See LICENSE.txt for licensing terms. # See LICENSE.txt for licensing terms.
# --------------------------------------------------------------- # ---------------------------------------------------------------
get_hbver() get_hbver() {
{ if [ -z "$hb_rootdir" ]; then
if [ -z "$hb_rootdir" ]; then hb_rootdir=".."; fi hb_rootdir='..'
FVER="${hb_rootdir}/include/hbver.h" fi
MAJOR=`sed -e '/HB_VER_MAJOR/ !d' -e 's/[^0-9]*\([^ ]*\).*/\1/g' "${FVER}"` FVER="${hb_rootdir}/include/hbver.h"
MINOR=`sed -e '/HB_VER_MINOR/ !d' -e 's/[^0-9]*\([^ ]*\).*/\1/g' "${FVER}"` MAJOR="$(sed -e '/HB_VER_MAJOR/ !d' -e 's/[^0-9]*\([^ ]*\).*/\1/g' "${FVER}")"
RELEA=`sed -e '/HB_VER_RELEASE/ !d' -e 's/[^0-9]*\([^ ]*\).*/\1/g' "${FVER}"` MINOR="$(sed -e '/HB_VER_MINOR/ !d' -e 's/[^0-9]*\([^ ]*\).*/\1/g' "${FVER}")"
echo "${MAJOR}.${MINOR}.${RELEA}" RELEA="$(sed -e '/HB_VER_RELEASE/ !d' -e 's/[^0-9]*\([^ ]*\).*/\1/g' "${FVER}")"
echo "${MAJOR}.${MINOR}.${RELEA}"
} }
get_hbverstat() get_hbverstat() {
{ if [ -z "$hb_rootdir" ]; then
if [ -z "$hb_rootdir" ]; then hb_rootdir=".."; fi hb_rootdir='..'
FVER="${hb_rootdir}/include/hbver.h" fi
VERSTAT=`sed -e '/HB_VER_STATUS/ !d' -e 's/[^\"]*\"\([^\"]*\).*/\1/g' "${FVER}"` FVER="${hb_rootdir}/include/hbver.h"
echo "${VERSTAT}" VERSTAT="$(sed -e '/HB_VER_STATUS/ !d' -e 's/[^\"]*\"\([^\"]*\).*/\1/g' "${FVER}")"
echo "${VERSTAT}"
} }

View File

@@ -16,7 +16,7 @@
!define MUI_HEADERIMAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Header\win.bmp" !define MUI_HEADERIMAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Header\win.bmp"
!define MUI_FINISHPAGE_SHOWREADME_NOTCHECKED !define MUI_FINISHPAGE_SHOWREADME_NOTCHECKED
!define MUI_FINISHPAGE_SHOWREADME 'notepad.exe "$\"$INSTDIR\README.md$\""' !define MUI_FINISHPAGE_SHOWREADME 'notepad.exe "$\"$INSTDIR\README.md$\""'
!define MUI_ICON "harb_win.ico" !define MUI_ICON "harbour.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall.ico" !define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall.ico"
SetDateSave on SetDateSave on

View File

@@ -15,7 +15,7 @@ SetCompressor /solid lzma
!define MUI_HEADERIMAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Header\win.bmp" !define MUI_HEADERIMAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Header\win.bmp"
!define MUI_FINISHPAGE_SHOWREADME_NOTCHECKED !define MUI_FINISHPAGE_SHOWREADME_NOTCHECKED
!define MUI_FINISHPAGE_SHOWREADME 'notepad.exe "$\"$INSTDIR\README.md$\""' !define MUI_FINISHPAGE_SHOWREADME 'notepad.exe "$\"$INSTDIR\README.md$\""'
!define MUI_ICON "..\harb_win.ico" !define MUI_ICON "..\harbour.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall.ico" !define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall.ico"
SetDateSave on SetDateSave on

View File

@@ -5,8 +5,7 @@ include $(TOP)$(ROOT)config/global.mk
PRG_SOURCES := \ PRG_SOURCES := \
hbmk2.prg \ hbmk2.prg \
RC_SOURCES := \ RC_SOURCES := harbour.rc
hbmk2.rc
PRG_MAIN := hbmk2.prg PRG_MAIN := hbmk2.prg
@@ -31,6 +30,6 @@ endif
# is better than Main() # is better than Main()
HB_PRGFLAGS += -DHBMK_USE_APPMAIN HB_PRGFLAGS += -DHBMK_USE_APPMAIN
HB_PRGFLAGS += -DHBMK_WITH_ALL_EMBEDDED_HEADERS HB_PRGFLAGS += -DHBMK_WITH_BUILTIN_HEADERS_ALL
include $(TOP)$(ROOT)config/bin.mk include $(TOP)$(ROOT)config/bin.mk

View File

@@ -1,10 +1,9 @@
#if defined( OS2 ) || defined( __OS2__ ) || defined( OS_2 ) #if defined( OS2 ) || defined( __OS2__ ) || defined( OS_2 )
ICON 1 DISCARDABLE "../../package/harb_os2.ico" ICON 1 DISCARDABLE "../../package/harb_os2.ico"
#else #else
#if ! defined( __BORLANDC__ ) #if ! defined( __BORLANDC__ )
1 ICON DISCARDABLE "../../package/harb_win.ico" 1 ICON DISCARDABLE "../../package/harbour.ico"
#endif #endif
#include "../../package/harb_win.rc" #include "../../package/harbour.rc"
__HB_CREATEPROCESS_MANIFEST_RESOURCE_ID __HB_RT_MANIFEST "../../package/harb_win.mft" __HB_CREATEPROCESS_MANIFEST_RESOURCE_ID __HB_RT_MANIFEST "../../package/harbour.mft"
#endif #endif

View File

@@ -17,15 +17,15 @@ hbmk2.prg
-main=__hbmk_public_entry -main=__hbmk_public_entry
-DHBMK_USE_CUSTMAIN -DHBMK_USE_CUSTMAIN
-DHBMK_WITH_ALL_EMBEDDED_HEADERS -DHBMK_WITH_BUILTIN_HEADERS_ALL
-lhbdossrl{dos} -lhbdossrl{dos}
# not using these together with .rc input, because some compilers (mingw) # not using these together with .rc input, because some compilers (mingw)
# do not support multiple .rc inputs # do not support multiple .rc inputs
#-icon={allwin}../../package/harb_win.ico #-icon={allwin}../../package/harbour.ico
#-icon={os2}../../package/harb_os2.ico #-icon={os2}../../package/harb_os2.ico
hbmk2.rc harbour.rc
# localization # localization
po/hbmk2.%{hb_lng}.po po/hbmk2.%{hb_lng}.po

View File

@@ -13654,8 +13654,8 @@ STATIC FUNCTION __hb_extern_gen( hbmk, aFuncList, cOutputName )
STATIC FUNCTION hbmk_CoreHeaderFiles() STATIC FUNCTION hbmk_CoreHeaderFiles()
THREAD STATIC t_hHeaders := NIL THREAD STATIC t_hHeaders := NIL
#if defined( HBMK_WITH_EMBEDDED_HEADERS ) .OR. ; #if defined( HBMK_WITH_BUILTIN_HEADERS_TOP ) .OR. ;
defined( HBMK_WITH_ALL_EMBEDDED_HEADERS ) defined( HBMK_WITH_BUILTIN_HEADERS_ALL )
IF t_hHeaders == NIL IF t_hHeaders == NIL
t_hHeaders := { => } t_hHeaders := { => }
@@ -13667,7 +13667,7 @@ STATIC FUNCTION hbmk_CoreHeaderFiles()
#if defined( _HBSHELL_EXTRA_HEADER ) #if defined( _HBSHELL_EXTRA_HEADER )
ADD HEADER TO t_hHeaders FILE _HBSHELL_EXTRA_HEADER ADD HEADER TO t_hHeaders FILE _HBSHELL_EXTRA_HEADER
#endif #endif
#if defined( HBMK_WITH_ALL_EMBEDDED_HEADERS ) #if defined( HBMK_WITH_BUILTIN_HEADERS_ALL )
ADD HEADER TO t_hHeaders FILE "achoice.ch" ADD HEADER TO t_hHeaders FILE "achoice.ch"
ADD HEADER TO t_hHeaders FILE "assert.ch" ADD HEADER TO t_hHeaders FILE "assert.ch"
ADD HEADER TO t_hHeaders FILE "blob.ch" ADD HEADER TO t_hHeaders FILE "blob.ch"
@@ -16548,9 +16548,9 @@ STATIC PROCEDURE ShowHelp( hbmk, lMore, lLong )
AAdd( aLst_File_Shell, { _EXT_FILE_ , hb_StrFormat( I_( "list of extensions to load in interactive Harbour shell. One extension per line, part of line beyond a '#' character is ignored. Alternate filename on %2$s: %1$s. Resides in [*]: %3$s" ), _EXT_FILE_ALT, _EXT_FILE_ALT_OS, __hbshell_ConfigDir( hbmk[ _HBMK_lMarkdown ] ) ) } ) AAdd( aLst_File_Shell, { _EXT_FILE_ , hb_StrFormat( I_( "list of extensions to load in interactive Harbour shell. One extension per line, part of line beyond a '#' character is ignored. Alternate filename on %2$s: %1$s. Resides in [*]: %3$s" ), _EXT_FILE_ALT, _EXT_FILE_ALT_OS, __hbshell_ConfigDir( hbmk[ _HBMK_lMarkdown ] ) ) } )
#endif #endif
#if defined( HBMK_WITH_ALL_EMBEDDED_HEADERS ) #if defined( HBMK_WITH_BUILTIN_HEADERS_ALL )
AAdd( aLst_Config, I_( "Embed all core Harbour headers." ) ) AAdd( aLst_Config, I_( "Embed all core Harbour headers." ) )
#elif defined( HBMK_WITH_EMBEDDED_HEADERS ) #elif defined( HBMK_WITH_BUILTIN_HEADERS_TOP )
AAdd( aLst_Config, I_( "Embed frequently used core Harbour headers." ) ) AAdd( aLst_Config, I_( "Embed frequently used core Harbour headers." ) )
#endif #endif
#ifndef _HBMK_EMBEDDED_ #ifndef _HBMK_EMBEDDED_